Package uk.ac.starlink.vo

# Interface RegistryQueryFactory

All Known Implementing Classes:
  `KeywordServiceQueryFactory`

public interface RegistryQueryFactory
Defines how a registry query is obtained for the RegistryPanel.

Since:
  19 Dec 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntryListener(ActionListener listener)`
Adds a listener which will be notified when the user has entered a query.
`JComponent`
`getComponent()`
May return a component which the user can interact with to select a query.
`RegistryQuery`
`getIdListQuery(String[] ivoids)`
Returns a registry query suitable for this query factory which queries a given list of IVO identifiers.
`RegistryQuery`
`getQuery()`
Returns the currently selected query.
`RegistrySelector`
`getRegistrySelector()`
Returns the registry component object associated with this object.
`void`
`removeEntryListener(ActionListener listener)`
Removes a listener previously added by `addEntryListener(java.awt.event.ActionListener)`.

## Method Details

### getQuery

RegistryQuery getQuery() throws IOException
Returns the currently selected query.

Returns:
  query object
Throws:
  `IOException`

### getComponent

JComponent getComponent()
May return a component which the user can interact with to select a query. If it returns null, this factory is considered to be non-interactive (only capable of supplying a single fixed query).

Returns:
  GUI component for query selection, or null

### getIdListQuery

RegistryQuery getIdListQuery(String[] ivoids) throws MalformedURLException
Returns a registry query suitable for this query factory which queries a given list of IVO identifiers.

Parameters:
  `ivoids` - ivo:-type resource identifiers
Returns:
  registry query whose results are suitable for a result of this query factory; may be null
Throws:
  `MalformedURLException`

### getRegistrySelector

RegistrySelector getRegistrySelector()
Returns the registry component object associated with this object.

Returns:
  registry selector

### addEntryListener

void addEntryListener(ActionListener listener)
Adds a listener which will be notified when the user has entered a query.

Parameters:
  `listener` - listener

### removeEntryListener

void removeEntryListener(ActionListener listener)
Removes a listener previously added by `addEntryListener(java.awt.event.ActionListener)`.

Parameters:
  `listener` - listener